package ru.yandex.canvas.controllers.overlay;

import com.fasterxml.jackson.annotation.JsonProperty;

public class PreviewRequest {
    @JsonProperty("data")
    private OverlayAdditionData data;

    @JsonProperty("preset_id")
    private Long presetId;

    public Long getPresetId() {
        return presetId;
    }

    public PreviewRequest setPresetId(Long presetId) {
        this.presetId = presetId;
        return this;
    }

    public OverlayAdditionData getData() {
        return data;
    }

    public PreviewRequest setData(OverlayAdditionData data) {
        this.data = data;
        return this;
    }
}
